Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226236

Summary: Merge Review: pciutils
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: harald, redhat-bugzilla
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-18 12:24:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 426387    

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:37 UTC
Fedora Merge Review: pciutils

http://cvs.fedora.redhat.com/viewcvs/devel/pciutils/
Initial Owner: harald@redhat.com

Comment 1 Parag AN(पराग) 2007-11-30 11:35:03 UTC
The only thing I see missing is keeping timestamps
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

Otherwise packaging looks ok to me.
rpmlint is silent.
Thought static library should be in -static package but its not good to have
-static for single file.

Comment 2 Parag AN(पराग) 2007-11-30 11:52:05 UTC
ohh. Missing some -devel things here
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).

Also, is following needed here?
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

Comment 3 Parag AN(पराग) 2007-12-18 14:08:55 UTC
Are the required changes in CVS?

Comment 4 Parag AN(पराग) 2008-01-10 06:58:45 UTC
ping


Comment 5 Harald Hoyer 2008-01-10 12:00:38 UTC
fixed in rawhide

Comment 6 Parag AN(पराग) 2008-01-11 12:31:40 UTC
here is new review now
1) Should follow packaging guideline for timestamp
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

2) Do pciutils really need to install static library. Can we stop providing
static library /usr/lib/libpci.a
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7



Comment 7 Parag AN(पराग) 2008-01-17 02:49:17 UTC
ping?

Comment 8 Harald Hoyer 2008-01-18 09:09:47 UTC
pong, rawhide pciutils-2.2.9-3.fc9

Comment 9 Parag AN(पराग) 2008-01-18 12:24:41 UTC
Thanks.
APPROVED

Comment 10 Bill Nottingham 2008-01-22 17:02:28 UTC
Reverting part of it. (In reply to comment #6)
> 2) Do pciutils really need to install static library. Can we stop providing
> static library /usr/lib/libpci.a

For future reference, 'repoquery --whatrequires pciutils-devel --repoid
development-source --archlist src' would answer this. library put back in rawhide.